2008-02-22  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.36
	* src/hildon-im-western-common-virtual-im-settings.c:
	  Fixed launch thumb kb from rocker logical id.

2008-02-11  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- FN should not clear shift indicator state. Fixes NB#79328.
	- Added o with double acute to HW accent cycle.

2008-02-06  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.35
	* src/hildon-im-western-hwr.c, src/hildon-im-western-vkb.c:
	  When changing from VKB to HWR the VKB would still set the
	  commit mode on client widget change because it is cached,
	  overriding the buffered mode of the HWR. Fixes NB#80312.
	* src/hildon-im-western-common-virtual-im-settings.c:
	  Use logical IDs for new thumb detection option strings
	* src/hildon-im-western-vkb.c: Assume vkb_mode_all for the
	  renderer when the mode isn't otherwise yet defined. Shuts up
	  the property out-of-range warning of the renderer.

2008-02-05  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c: Added
	  a control for the finger detection method.

2008-02-05  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-wester-vkb.c: Saves the prefix also when enter gesture
	is made. Fixes NB#76299.

2008-02-05  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Save word completion on changing
	  widget. Fixes NB#76650.
	* src/hildon-im-western-fkb.c: Request enter_on_focus from context,
	  instead of handle_enter when closing the FKB through enter.
	  Fixes NB#78120.

2008-01-31  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* scv_layouts/fr.xml: Replace # with &. Fixes MB#2717.

2007-11-19  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.34
	* src/hildon-im-western-wc.c:
	- Clear WC widget on changing the input mode, apparently browser
	  can change the mode without the plugin's _enable being called.
	- Prevent appending to the prefix when the WC widget is
	  insensitive.
	Fixes NB#75679.

2007-11-12  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.33
	* src/hildon-im-western-vkb.c: Fixed numeric mode entries
	  always changing to lowercase layout. Fixes NB#75172.

2007-10-30  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.32

2007-10-29  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc: Fixed accented character looping
	not working with dual character set layouts. Fixes NB#73475.
	* src/hildon-im-thumb-scv.c: Remove extra padding around
	the VKB renderer. Partial fix for NB#72581.
	* hildon-im-western-hwr.c, hildon-im-western-vkb.c:
	Change language indicator to use the two first letters of the language
	instead of the two last ones.

2007-10-26  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-vkb.c, src/hildon-im-western-hwr.c,
	src/hildon-im-western-plugin-common.[ch]: Open TIS CPA when the
	language indicator is pressed and there is only one language currently
	selected.

2007-10-25  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c:
	- Added language quick switch button
	- Merge capslock and shift:
	  - Replace MODE_A|B_MASK with HildonIMWesternVKBMode mask
	  - hildon_im_western_vkb_button_activated replaces
	    hildon_im_western_vkb_mode_a, hildon_im_western_vkb_mode_b
	* src/hildon-im-western-hwr.c:
	- Added language quick switch button
	- Moved mode toggle button to common button B position
	- Removed case toggle button
	Fixes NB#74499.

2007-10-24  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* scv_layouts/ru.xml: Replace '_' with '+'. Fixes NB#73993.

2007-10-24  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.31

2007-10-22  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- Chr or Ctrl must not clear sticky or lock states.
	- Factor in sticky shift when performing accented char
	  input with Chr. Fixes NB#72134.

2007-10-19  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Revert explicit disabling
	of the plugin when hiding. restore_previous_mode in the
	IM is now guranteed to disable the plugin. Fixes NB#73821.

2007-10-12  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.30
	* src/hildon-im-western-fkb.c: Fixed the FKB not being disabled
	properly when using the hide button, resulting in the content
	not being commited to the application. Fixes NB#73028.

2007-10-08  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.29
	* src/hildon-im-keyboard-monitor.c:
	Apply level shift when the layout changes.
        * src/hildon-im-keyboard-monitor.c:
        Force UI visibility on Chr. Fixes NB#72008.
	* src/hildon-im-western-fkb.c:
	Clear word completion on plugin enable. Fixes NB#72402.

2007-10-05  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.27
	* src/hildon-im-keyboard-monitor.c: Add back the autolevel in numeric
	input mode option that was removed by mistake in the fix for NB#70746.

2007-10-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.26
	* hildon-im-plugins.schema: int_kb_level_shifted enabled by default.

2007-10-03  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.25
	* src/hildon-im-keyboard-monitor.c, src/hildon-im-western-wc.c:
	Updated level shift semantics, layouts supporting dual character
	sets are now assumed to be level shifted by default. Fixes NB#70746.

2007-10-01  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Revert the previous revert

2007-09-27  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.24
	* src/hildon-im-western-fkb.c: Revert the language switcher.

2007-09-27  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.23
	* src/hildon-im-western-vkb.c: Removed 'language_button_clicked'.

2007-09-27  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.22

2007-09-27  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c: Disable language switcher.

2007-09-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Don't disable the IM unless the
	plugin is fully visible when wp and nwp is turned off.

2007-09-25  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.21

2007-09-25  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c, src/hildon-im-western-fkb.c:
	Implemented language quick switch.

2007-09-25  Richard Sun  <richard.sun@nokia.com>

	* scv_layout/*.xml: Update layouts to fullfil with 4 lines special
	characters. Fixes: NB#70759

2007-09-25  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-wc.c: Update visibility only when the plugin in 
	active. Fixed regression of previous fix of NB#68679.

2007-09-25  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Fixed level shift state
	  being forgotten after changing the language.

2007-09-21  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.20

2007-09-20  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: When primary language and hw layout
	  is Russian, sync the hw layout with the IM language menu setting.
	  Fixes NB#64487.

2007-09-18  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.19
	* src/hildon-im-western-wc.c: Hide the widget if the language is switched to
	something which has WC/NWP turned off. Fixes NB#68679.

2007-09-11  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.18

2007-09-06  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-wc.c: Only show/hide the widget if the plugin is
	active. Fixes: NB#68665.

2007-09-04  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Don't set visibility of the main UI as it
	will be set inside enable_plugin (via hildon_im_ui_set_keyboard_state) anyway.

2007-09-03  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.17
	* src/hildon-im-western-fkb.c: Use common strings domain for copy
	  infobanner. Fixes NB#67760.

2007-08-31  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.16

2007-08-29  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-wc.c: Copy the language setting from the const. Fixes:
	NB#66701
	* src/hildon-im-western-vkb.c: Update the size of the space button in full
	screen mode. Part of the fix of NB#66823.

2007-08-29  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-xkb.c: Fixed crash when XInputExtension is not
	  available. Fixes NB#67016.
	* src/hildon-western-fkb.c: Set the window as modal. Fixes NB#50658.

2007-08-29  Richard Sun  <richard.sun@nokia.com>

	* hildon-im-plugins.schema:
	Remove "int_kb_layout" from schema, which will be handled by
	hildon-input-method-configuator
	* src/hildon-im-keyboard-monitor.c:
	Change CHR_KEY to F12 in scratchbox environment for easy access.

2007-08-28  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Update marker positions
	  after the default textview button handler has run. Fixes NB#63227.

2007-08-22  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-wc.c: Hide the plugin if WP and NWP are turned off. Fixes: NB#65363.

2007-08-15  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.15

2007-08-16  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-keyboard-monitor.c:
	Add new info banner when quick switch between primary and secondary
	languages. Fixes: NB#61615

2007-08-15  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-plugin-common.c: Skip getting secondary language
	setting if the secondary language is not defined. Fixes: NB#65586.
	* src/hildon-im-western-(vkb|wc|hwr).c: Separating word completion and next
	word prediction setting. Fixes: NB#57186.

2007-08-15  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-fkb.c:
	make "copied" info banner to be system model. It goes to 2nd topmost
	layer on window stacking, just on top of FKB. (Fixes: NB#63883)
	* src/hildon-im-western-common-virtual-im-settings.c:
	When teaching launched from system model TIS, before TIS closing, all
	user modified value will be aved into gconf. (Fixes: NB#63221)

2007-08-14  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c:
	Update localized internal hardware keyboard layouts. Fixes: NB#65166

2007-08-13  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* src/hildon-im-western-scv.c: Get the tab index of the notebook widget before
	saving it to Gconf. Fixes NB#64058.

2007-08-13  Mohammad Anwari  <mohammad.anwari@nokia.com>

	* Version 3.8.14
	* src/hildon-im-western-fkb.c: Renamed fkb menu item name to
	osso-im-fkb-menu-item. Fixes NB#53689.

2007-07-31  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* hildon-im-plugins.schema: Default external kb model has changed
	  from su-8w to nokiasu8w

2007-07-30  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Name the menuitems for theming.

2007-07-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c: Changed
	  enable virual IM option to enable stylus IM.

2007-07-19  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.13
	* src/hilon-im-xkb.[c,h]:
	- Fix a minor leak when setting the keyboard map
	- Added hildon_im_xkb_get_keyboard_names()
	* src/hildon-im-keyboard-monitor.c:
	- Apply external keyboard config to any unknown keyboard

2007-07-18  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- Show the western indicator when holding down Chr in the cyrillic layout
	- Better keyval-to-keycode lookup that prevents the key's group from changing.
	  Fixes NB#62726.
	- Sticky shift, lock or autocap can now combine with Chr-held-down mode
	- When level-shifted, Chr-held-down translates back to the original level.
	  Fixes NB#62960.
	- Fixed indicator going out of sync with the context on switching to the Thumb SCV.
	* src/hildon-im-keyboard-monitor.c:
	- Manage the GTK accels and mnemonics settings

2007-07-17  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Update completion mark when a new surrounding is received. Fixes NB#63227.
	* src/hildon-im-western-fkb.c, src/hildon-im-western-hwr.c:
	- Don't even try to export shared WC prefix. Fixes NB#63241.
	* src/hildon-im-western-wc.c:
	- Don't process keypresses if the plugin isn't visible
	- Ask context to clear the sticky state on plugin transition
	  Fixes NB#63455.
	* src/hildon-im-western-common-virtual-im-settings.c:
	- Use the select key device glyph for the "launch from rocker"
	  caption label. Fixes NB#63273.

2007-07-16  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c:
	- Implement whitelist of layouts having lockable levels.
	- Show layout switch banner for lockable layouts. Fixes NB#62965.

2007-07-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Check the multiline state from
	  the input mode.

2007-07-09 Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.12

2007-07-09  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c: Give the vkb renderer a unique name
	* src/hildon-im-western-common-virtual-im-settings.c:
	- Use the osso-applet-textinput text domain
	- Correct the hw keyboard layout logical ID

2007-07-09 Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/{hildon-im-western-vkb.c, hildon-im-western-hwr.c}: Save word completion
	data during transition. Fixes: NB#62521.
	* src/{hildon-im-western-vkb.c: Reset NWP also during resetting wc widget. Fixes NB#62547.

2007-07-06  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Enable HILDON_IM_AUTOLEVEL_NUMERIC
	context option. Fixes NB#62682.

2007-07-05  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c:
	- check TIS dialog parent to determine model status. Full fixes of
	NB#61299
	
2007-07-04 Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/{hildon-im-western-wc.c, hildon-im-western-hwr.c, 
	hildon-im-western-fkb.c, hildon-im-western-vkb.c, 
	hildon-im-western-scv.c, hildon-im-western-wc.c,
	hildon-im-thumb-scv.c: Replaced new_func with description.

2007-07-04  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c:
	- If TIS is open from IM menu, when launching teaching from it, TIS is
	closing. Part of Fixes: NB#61299
	
2007-07-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c: Clear previous word property on
	  plugin switch. Fixes NB#62524.
	* src/hildon-im-western-fkb.c:
	- Clear prefix on entering plugin, and export the prefix when
	  exiting the plugin. Fixes NB#62494.
	- Clear word completion after paste. Fixes NB#62273.

2007-07-03  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.11
	* src/hildon-im-western-vkb.c: Sets the NWP if the word is succesfully added. Fixes NB#58965.

2007-07-02  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-thumb-scv.c: Disable gesture from thumb-able SCV in the first place 

2007-07-02  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.10

2007-07-02  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-wc.c, src/hildon-im-western-hwr.c, 
	src/hildon-im-western-fkb.c, src/hildon-im-western-vkb.c,
	src/hildon-im-western-plugin-common.{c, h}:
	- rename WP language enum to CURRENT_LANG, SECOND_LANG for read-able
	- update WP enum for each plugin.
	- correct TAB key press condition for thumb-able SCV

2007-06-29  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c, src/hildon-im-xkb.h:
	- Don't use the exact keyboard controller name anymore
	- Write level shifted status to gconf
	* src/hildon-im-western-wc.c:
	- Fixed crash from internal keyboard layout being prematurely freed
	* src/hildon-im-thumb-scv.c:
	- Append input to the shared plugin buffer

2007-06-29  Richard Sun  <richard.sun@nokia.com>

	* scv_layouts/*:
	- update thumbable SCV VKB file name to match with xkb data
	- remove WHITESPACE from de.xml and fisenoda.xml
	* debian/hildon-im-thumb-scv.install: 
	- install new-named thumbable scv vkb file names
	* src/hildon-im-western-common-virtual-im-settings.c,
	src/hildon-im-western-plugin-common.h,
	src/hildon-im-thumb-scv.c:
	- use gtk_list_store to generate SCV layouts data structure with fullname and xkb_symbol
	- Move SCV layout info to TIS plugin
	- Rename the default scv layout from "English" to "us"

2007-06-29  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.9
	* configure.ac: Updated framework&UI version.

2007-06-28  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-scv.c, hildon-im-western-hwr.c, hildon-im-keyboard-monitor.c,
	  hildon-im-western-fkb.c, hildon-im-western-wc.c, hildon-im-western-vkb.c,
	  hildon-im-western-plugin-common.[c,h]:
	- Change autocase and autocorrection messages into context option API usage
	- Added level shift on Ctrl-Chr to keyboard monitor
	* src/hildon-im-keyboard-monitor.c, src/hildon-im-western-plugin-common.h,
	  hildon-im-plugins.schema: Make internal keyboard level shift persistent
	* src/hildon-im-western-wc.c: Added Cyrillic indicators

2007-06-28  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-plugin-common.{c, h}:
	- update API "get_use_dictionary" and "get_current_bool_setting" 
	parse the language index
	- add enum for 1st language, 2nd language
	* src/hildon-im-western-vkb.c, src/hildon-im-western-hwr.c,
	src/hildon-im-western-fkb.c, src/hildon-im-western-wc.c:
	- update enable/disable word completion condition, which is based on
	dual dictionary state and related first, second languages wp enable/disable
	states. (Fixes: NB#61313)

2007-06-28  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c, src/hildon-im-western-wc.c,
	  src/hildon-im-thumb-scv.c:
	- Include hardware keycode in key_event plugin API
	* src/hildon-im-western-wc.c:
	- Simulate multi key on x86
	- Do a level shift while Chr is held down
	* src/hildon-im-western-common-virtual-im-settings.c,
	  src/hildon-im-thumb-scv.c:
	- Fix model/layout mixup

2007-06-27  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-xkb.h, src/hildon-im-western-common-virtual-im-settings.c,
	  src/hildon-im-thumb-scv.c, src/hildon-im-western-plugin-common.h:
	- Share the same internal layout gconf key
	* src/hildon-im-western.wc:
	- Reduce default wc widget width to avoid overlap with shift indicator
	- Update indicator after every key

2007-06-25  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-thumb-scv.c: 
	- remove the buffer when any character being pressed.  
	- Add HILDON_VKB_MODE_TAB to input mode mask.
	- Make thumb-able scv uncached. Fixes NB#60039

2007-06-20  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.8
	* src/hildon-im-western-scv.c, hildon-im-thumb-scv.c:
	- Return to previous plugin on widget change. Fixes NB#61227.
	* src/hildon-im-western-wc.c, src/hildon-im-western-vkb.c,
	  src/hildon-im-western-scv.c:
	- Cache wc and vkb plugins, don't cache scv.

2007-06-19  Tomas Junnonen  <tomas.junnonen@nokia.com>
	
	* src/hildon-im-western-wc.c: Don't show the IM UI when this plugin
	  is loaded if the internal keyboard is not in in use. Fixes NB#59848.
	* -keyboards/Makefile.in: Don't distributed autogenerated files
	* src/hildon-im-thumb.scv, src/hildon-im-western-scv.c:
	  Set trigger type "none" to ensure the plugins aren't loaded over
	  any plugin with the same trigger
	* src/hildon-im-keyboard-monitor.c: Fake slide mechanism more
	  accurately by updating the gconf state. Fixes NB#59982.

2007-06-19  Richard Sun  <richard.sun@nokia.com>

	* scv_layout*.xml: update slide keyboard SCV layouts
	* src/hildon-im-thumb-scv.c: Update layout with UI layout guide

2007-06-18  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Collect multiple xkb config
	  gconf changes into a single operation
	* src/hildon-im-western-scv.c: Show special characters key as active
	  while the plugin is loaded

2007-06-14  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Use unique color for Fn indicator

2007-06-13  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.7

2007-06-12  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Added FN indicator. Fixes NB#59960.

2007-06-02  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c:
	- use HILDON_IM_GCONF_HAVE_INTERNAL_KEYBOARD gconf value to save data.
	Fixes: NB#59988

2007-06-12  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-vkb.c, src/hildon-im-western-wc.c: Refresh all
	settings bound to the language when the language is changed. Fixes NB#59423.

2007-06-12  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-xkb.c: Fix crash on failing to retrieve the XKB rules

2007-06-08  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Don't switch to non-existant language on
	  Chr + Control. Fixes NB#59921.

2007-06-07  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Larger thumb candidate buttons

2007-06-05  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 3.8.6
	* src/hildon-im-xkbtool.c:
	- Added device listing option, fixed id 0 not being accepted as a parameter
	* src/hildon-im-xkb.[c,h], hildon-im-keyboard-monitor.c:
	- Per device rate control 
	- Apply the rx44 map on startup
	- Apply map to generic internal keyboard device

2007-06-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-xkbtool.c, src/hildon-im-xkb.[c,h], src/Makefile.am,
	hildon-im-plugins.schema, configure.ac:
	- Added hildon-im-xkbtool userspace utility
	* src/hildon-im-western-wc.c, src/hildon-im-keyboard-monitor.c: Chr is Multi_key

2007-06-04  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.5
	* src/hildon-im-western-common-virtual-im-settings.c: Get keyboard
	availability from gconf now, added finalize.

2007-05-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.4
	* src/hildon-im-western-hwr.c: 
	- Clear the prefix manually when inserting space. Fixes NB#57102.

2007-05-25  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- Added shift icon for sticky state
	- Introduced small delay for status indicator, easier to read
	- Indicator correction for shift-held-down case

2007-05-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.3

2007-05-16  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Added sticky and lock states to the indicator

2007-05-11  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.2
	* hildon-im-plugins.schema: Moved slide-layout to
	hildon-input-method-configurator.

2007-05-15  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Allow paste in secret entries. Fixes NB#56986.

	* Port missing fixes from IT2007 branch:

	    2007-01-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	    * src/hildon-im-western-vkb.c: Don't clear next word prediction on space

	    2006-12-15  Tomas Junnonen  <tomas.junnonen@nokia.com>

	    * src/hildon-im-western-fkb.c:
	    - When editing secret text, keep at most one character exposed at a time
	    - Cancel the asterisking callback when the FKB is closed. Fixes NB#49709.

2007-05-14  Richard Sun  <richard.sun@nokia.com>

	* scv_layouts/*.xml: Update layout with TAB key supported
	* src/hildon-im-thumb-scv.c: Set TAB style themeing, code cleanup
	
2007-05-14  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.c: Switch 1st and 2nd language on Chr+Control

2007-05-11  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.8.1

2007-05-11  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Clear the existing content when re-using the FKB window. Fixes NB#50547
	- Submit content on plugin disable, instead of on user initiated hide. Fixes NB#55074
	* src/hildon-im-keyboard-monitor.c:
	- Togge special plugin on CHR key
	- Simulate slide mechanics on Shift+Space

2007-05-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-keyboard-monitor.[c,h], src/Makefile.am:
	New persistent keyboard state monitor plugin

2007-05-09  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/src/hildon-im-western-scv.c, src/hildon-im-western-hwr.c, src/hildon-im-western-fkb.c,
	  src/hildon-im-western-wc.c, src/hildon-im-western-vkb.c, src/hildon-im-thumb-scv.c:
	- Replace KbMode with IMTrigger
	* src/hildon-im-western-fkb.c:
	- Implement surrounding_received interface
	- Use new redirect and set surrounding commit modes
	- Use uniform naming for internal widgets with IM contexts

2007-05-09  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c:
	Add new TIS Tab for Slide keyboard Hardware 
	* src/hildon-im-thumb-scv.c: 
	update Gconf value for slide keyboard layout
	* src/hildon-im-western-plugin-common.h:
	* hildon-im-plugins.schema:
	Add constant slide keyboard layout value and define new gconf directory
	* scv_layouts/*.xml: update slide keyboard specail character layout 
	
2007-05-07  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.7

2007-05-08  Richard Sun  <richard.sun@nokia.com>

	* configure.ac, src/Makefile.am: add libosso as dependency
	* src/hildon-im-western-common-virtual-im-settings.c:
	Add Teaching button with callback.

2007-05-07  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Remove pressure adjustment API usage

2007-05-04  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.6

2007-05-04  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Makefile.am: Added stuff dealing with schema.
	* src/hildon-im-western-(vkb|hwr).c: Word completion prefix button is now hidden. Fixes NB#55802.

2007-05-03  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Minor theming fixes

2007-05-03  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* hildon-im-plugins.schema: Added.
	* src/hildon-im-western-plugin-common.*: 
	- Dual dictionary is now working.
	- Fixed wp_setting getter.
	* src/hildon-im-western-common-virtual-im-settings.c: Use public gconf for Finger KB.
	* src/hildon-im-western-vkb.c: Reset WP settings also when second language is changed.

2007-05-03  Richard Sun  <richard.sun@nokia.com>

	* src/Makefile.am: update common western vim setting
	* src/hildon-im-western-common-virtual-im-settings.c: Add onscreen Tab
	for both slide keyboard and virtual keyboard. 

2007-05-02  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.5

2007-04-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c, src/hildon-im-western-plugin-common.h: Moved
	some gconfs here.
	* src/hildon-im-western-scv.c: Set all tabs to be homogeneous. Fixed NB#54875.
	* src/hildon-im-western-plugin-common.*: Fixed gconf getters which under
	languages.
	* src/hildon-im-western-hwr.c, src/hildon-im-western-vkb.c,	src/hildon-im-western-wc.c, src/hildon-im-western-fkb.c: 
	- Fixed wp switching during language switching. Fixed NB#55573.
	- Fixed dual dictionary.
	* src/hildon-im-western-fkb.c: Fixed selecting the correct language menu.

2007-04-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.4
	* src/hildon-im-western-wc.c: Fixed autocaps.
	* src/hildon-im-western-fkb.c: Fixed some language mayhem. May still not working
	in some place.
	* src/hildon-im-western-common-virtual-im-settings.c: Dialog is now a flag of
	a tab.

2007-04-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/Makefile.am: Used -l instead of .la

2007-04-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.3
	* src/hildon-im-western-common-virtual-im-settings.c: Fixed string
	comparation.

2007-04-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* hildon-im-western-fkb.c, hildon-im-western-wc.c: WC fixes for secret and non-dictionary modes

2007-04-26  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-common-virtual-im-settings.c: Updated API changes in settings area.
	* src/other normal plugins: Now handle autocaps completely in plugins.

2007-04-25  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.2
	* src/hildon-im-western-common-virtual-im-settings.c: Fixed crash when saving empty string to GConf.

2007-04-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Update for the new definition of current_language gconf key

2007-04-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.1
	* Renamed src/hildon-im-western-common-virtual-im-settings.h to src/hildon-im-western-plugin-common.h.

2007-04-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.6.0
	* src/hildon-im-western-[hwr|wc|fkb|vkb].c: Moved language related gconf keys to other place.
	* src/hildon-im-western-common-virtual-im-settings.c: Implemented TIS settings in language
	dialog.
	* src/hildon-im-western-plugin-common.*: Introduced a new library which contains some static
	functions usable across Hildon IM plugins.

2007-04-24  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Fixed crash when secondary language not set

2007-04-23  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Numeric mode indicator, autocap fixes

2007-04-19  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/src/hildon-im-western-scv.c, src/hildon-im-western-hwr.c, src/hildon-im-western-wc.c,
	  src/hildon-im-western-vkb.c, src/hildon-im-thumb-scv.c: Implemented wc prefix sharing through
	  the plugin buffer

2007-04-17  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western.wc: Added support for embedding of virtual
	hw keys into the wc panel from a user specified string

2007-04-17  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.4.0
	* src/*: Sync to libimengines 4.2.0 and hildon-im-ui 3.6.0.

2007-04-17  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c, src/hildon-im-thumb-scv.c:
	- Make the thumb SCV a special plugin of the wc plugin
	- Shift variance on key press in the SCV
	- Exit the SCV when a printable character is entered

2007-04-17  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-thumb-scv.c: Make on screen SCV cache-able

2007-04-11  Tomas Junnonen <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- Change Chr table contents from keysyms to utf8
	- Fill the Chr table from the spec

2007-04-11  Richard Sun  <richard.sun@nokia.com>

	* src/hildon-im-thumb.{c, h}: first version of SCV plugin for slide keyboard
	* scv_layouts/*: add on-screen scv layouts

2007-04-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c: Fullscreen mode fixes

2007-04-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.2.0
	* src/*: Used hildon-im-ui now instead of hildon-im-keyboard.

2007-04-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-wc-onscreen.c: Onscreen word completion TIS plugin.

2007-04-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc.c:
	- Preliminary logical IDs for the widgets
	- Provide a window background in the plugin for theming
	- Flush buffer on autospace after word completion
	- Disable prefix button of the wc widget and enable candidate separation

2007-04-03  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-wc:
	- Chr-key accented character sequences
	- Changed the plugin to buffered mode (preedit)

2007-03-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-(vkb|hwr).c: Activate full word completion.
	* src/hildon-im-western-hwr-settings.c: Plugin for Text Input Settings.

2007-03-26  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.0.4
	* configure.ac, src/Makefile.am, src/hildon-im-western-fkb.c: Used hildon-help instead of osso-help.

2007-03-26  Richard Sun  <Richard.Sun@nokia.com>

	* configure.ac, src/Makefile.am: add libossohelp as link, which mainly
	for fkb

2007-03-23  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.0.3

2007-03-20  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-vkb.c: Removed insensitive signal for space as
	Gtk+ now drops this signal. This also has been confirmed with the UI
	Specifier.
	* src/hildon-im-western-scv.c: Set the notebook to be scrollable.

2007-03-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-*.c: Applied changes to the HildonIMPluginInfo structure.
	* configure.ac: Replaced hildon-libs in favor of hildon-1

2007-02-23  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/src/hildon-im-western*[c,h]: Add height to plugin info
	* src/Makefile.am, src/hildon-im-western-wc.[c,h]: Add word completion plugin

2007-02-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.0.2-1
	* configure.ac: Disable pedantic compilation mode.

2007-02-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.0.1-1
	* src/hildon-im-western-fkb.c: Replaced hildon-widgets/gtk-infoprint.h
	to hildon-widgets/hildon-banner.h.

2007-02-14  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 3.0.0-1
	* src/hildon-im-western-fkb.c: HildonConsolidation:
	- Renamed gtk_object_sink to g_object_ref_sink
	- Use HildonBanner instead of gtk_infoprint

2006-12-05  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-*.c:
	- Removed IM_GROUP, replaced with HILDON_IM_PLUGIN_*
	- Use HildonIMPluginInfo instead of hildon_im_plugin_info.

2006-12-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* New branch
	* src/hildon-im-western-*.c:
	- Removed type field in the plugin info, added common button usage field
	- Updated with properly namespaced constants from hildon-input-method

2006-12-04  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.33-2

2006-11-14  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.33-1
	* src/hildon-im-western-scv.c: Switch page when user browsing through the tab using the scroller. Fixes NB#46190.

2006-10-29  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.32-1
	* src/hildon-im-western-vkb.c: Cancel Shift if autocase is TRUE and start of the sentence is TRUE and CAPS is ON. Fixes NB#44427.

2006-10-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Save word completion when hiding FKB on enter button press. Fixes: NB#45391.

2006-10-25  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.31-1

2006-10-25  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/pt_PT.xml: Updated Portuguese FKB layout. Fixes: NB#42347.

2006-10-20  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.30-1

2006-10-20  Tomas Junnonen  <tomas.junnonen@nokia.com>

	 * src/hildon-im-western-fkb.c: Refresh the word validation code. Fixes NB#43939.

2006-10-18  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/fr_CA.xml: Updated symbols tab

2006-10-18  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.29-1
	* src/hildon-im-western-vkb.c: Also updates the button mask when it is disabled or enabled. 

2006-10-18  Richard Sun  <Richard.Sun@nokia.com>

	* src/hildon-im-western-vkb.c: update capslock and shift common
	button behavior both in autocase enable and disable setting (Fixes: NB#43312)

2006-10-18  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.28-1
	* keyboards/el_GR: Fixed incorrect sigma character. Fixes NB#43618.

2006-10-12  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.27-1
	* keyboards/{es_ES.xml, es_MX.xml, fr_FR.xml, nl_NL.xml, pl_PL.xml,
pt_BR.xml}: Updated layouts by Tomas Junnonen, fixes: NB#42347 and NB#42349.

2006-10-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Dead key + space produces the dead key, fixes NB#42857

2006-09-29  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.26-1
	* src/hildon-im-western-hwr.c: Don't commit "last-words" when space is
	clicked. Fixes NB#40250.

2006-09-28  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Autocap/default layout fixes from 2006 branch

2006-09-28  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.25-1
	* keyboards/latin.special.xml: Added some new Latvian characters.  Fixes: NB#22586

2006-09-20  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.24-1

2006-09-19  Richard Sun  <Richard.Sun@nokia.com>

	* src/hildon-im-western-vkb.c: In function "hildon_im_western_vkb_character_autocase" unset 
	BUTTON_MODE_A, BUTTON_MODE_B and update mode_button with small character when auto-captalization is unchecked. NB#40713

2006-09-13  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.23-1

2006-09-13  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/nl_NL.xml: Updated NL layout, fixes NB#40351

2006-09-11  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Don't propagate select key release, fixes NB#40026

2006-09-06  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.22-1
	* src/hildon-im-western-vkb.c: Fixed autocase failed in BAT.

2006-09-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Remove some hardcoded key values, fixes NB#39501.

2006-08-31  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.21-1
	* src/hildon-im-western-vkb.c: Fixed regression by previous fix.  NB#39293.

2006-08-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.20-1

2006-08-30  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Commit intermediary slide characters to client widget in direct mode, fixes NB#38824

2006-08-28  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.19-1
	* src/hildon-im-western-vkb.c: Simplified layout updating due to mode buttons (caps/shift) changes. Keep the buttons state in private. Fixes NB#38448.
	* src/hildon-im-western-scv.c: Fixed regression by previous changes. 

2006-08-28  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.18-1
	* src/hildon-im-western-vkb.c,src/hildon-im-western-hwr.c: Clear word
	completion menu when the plugin is disabled. Fixes NB#38586.

2006-08-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.17-1
	* src/hildon-im-western-scv.c: Replaced gtkbuttons with a gtknotebook. 	Fixes NB#35296.

2006-08-21  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Implement select_range interface, fixes NB#28610
	- Fixed cursor position getting out of sync on long keypress, NB#38312

2006-08-18  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Set case tab mode independently of
	  the active tab, fixes NB#38168

2006-08-11  Tomas Junnonen  <tomas.junnonen@nokia.com>

        * Version 2.0.15-1

2006-08-07  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Disable menu on first boot, fixes NB#36845

2006-08-04  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Version 2.0.14-1

2006-08-02  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Save data on plugin destruction, fixes NB#36701

2006-07-27  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/el_GR.xml: Correct lowercase FKB header, fixes N#35958

2006-07-18  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.13-1

2006-07-17  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Request sentece start check when enable called, fixes weird autocap behavior, NB#35009, NB#35032

2006-07-13  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.12-1
	* src/hildon-im-western-hwr.c: Removes word completion candidates when receiving screen-size-overflow signal. Fixes NB#33175.

2006-07-03  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.11-1
	* src/hildon-im-western.vkb.c: Changed 'ABC' to 'Caps'. UI Spec 6.0 Update.

2006-06-29  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c: Use the layout with numbers by default in hexa and tele modes, fixes NB#33329

2006-06-29  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.10-1
	* src/hildon-im-western-vkb.c: Set layout to uppercase when shift is latched and Caps is unlatched. Fixes NB#33762.

2006-06-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.9-1

2006-06-26  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Enable autocap check for all tabs, fixes N#33440

2006-06-26  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.8-1

2006-06-22  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-hwr.c: Don't retain punctuation mode, fixes N#33404

2006-06-08  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.7-1
	* src/hildon-im-western-fkb.c: Moved back blacklist directory to HIM data directory. Fixes NB#33052.

2006-06-21  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* Sync'ed with IT-2006 up to version 1.2.29 (rev. 17413):
	* src/hildon-im-western-fkb.c: Stop hardkey propagation to client application, fixes N#32415
	* src/hildon-im-western-fkb.c: Added missing special plugin to plugin info struct
	* src/hildon-im-western-hwr.c: Checking the availability of WP prior to adding the word to the dictionary. Fixes N#29535

2006-06-08  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-fkb.c: Updated libimengines API

2006-06-08  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.6-1
	* src/hildon-im-western-fkb.c, src/hildon-im-western-vkb.c, src/hildon-im-western-hwr.c: Better dual-dictionary setting handling. Fixes N#30611 and N#32110.
	* src/hildon-im-western-fkb.c: Implemented secret editor. Fixes N#28934,	N#28936, N#28939.

2006-05-11  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.5-1
	* src/hildon-im-western-fkb.c: Updates FKB to use new dual dictionary API done when fixing N#29990 and N#29994.

2006-05-11  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.4-1
	* Sync'ed with IT-2006 up to version 1.2.27+
	* src/keyboard/*xml: Changed the label of the symbol tab, fixes N#28204
	* src/hildon-im-western-fkb.c: Fixed pango font description leak, fixes N#23704
	* keyboards/en_GB.xml: Added missing `!` character to layout
	* src/hildon-im-western-vkb.c: Don't maintain uppercase mode when it's not needed in mode_a. Fixes N#28243
	* src/hildon-im-western-hwr.c: Removed fullscreen private variable.
Fixes	N#26773/N#29361.
	* src/hildon-im-western-scv.c: Reactivate the tab to get the lowercase
layout. Fixes N#27494/N#29363.
 	* Version 1.2.25-1
 	* src/Makefile.am, src/hildon-im-western-vkb.c: Provides Maemo SDK specific code. Fixes N#27674
 

2006-05-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.3-1
	* src/hildon-im-western-vkb.c, src/hildon-im-western-hwr.c: Skip putting auto-correction trigger characters to the word completion.
	* src/hildon-im-western-hwr.c: Set the value of "recognize-after" property from GConf during construction.

2006-05-01  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.2-1
	* src/hildon-im-western-vkb.c: Set autocorrection state after a word completion candidate is clicked.
	* Below are sync'ed with IT-2006 up to version 1.2.25-1
	* src/Makefile.am, src/hildon-im-western-vkb.c: Provides Maemo SDK specific code. Fixes N#27674
	* src/hildon-im-western-fkb.c: Hide FKB before commiting surrounding, fixes browser
	not reacting to imcontext commit
	* src/hildon-im-western-vkb.c (check_manual_shift_restore): If keyboard is in numeric-mode, don't change shift state. Fixes N#25907.
	* src/hildon-im-western-hwr.c (hildon_im_western_hwr_commit): Free last_words after use. Fixes N#24622.  
	* src/hildon-im-western-fkb.c: Reset system pressure when FKB is destroyed
	* src/hildon-im-western-vkb.c: 
	- Force lowercase when autocap is set to the entry widget. Fixes N#26210.
	- Changed space button's sizes. Fixes N#25721.
	* keyboards/*.xml: Changed margin size between the keyboard and the keypad. Fixes N#25721.
	* src/hildon-im-western-hwr.c: Reworked "prev-word" property setting so that showing next word prediction candidates works better. Fixes N#25362.
	* src/hildon-im-western-fkb.c: Check if autocap set in input mode mask, fixes N#26293
	* src/hildon-im-western-fkb.c: Added some empty space above the text area,
	fixes N#25950
	* src/hildon-im-western-fkb.c: Skips word completion if the client's input mode is not ALPHA. Fixes N#26182.
	* src/hildon-im-western-vkb.c: Don't go lowercase when autocaps is active and caps lock is pressed. Fixes N#26101.
	* src/hildon-im-western-vkb.c: Added additional shift checking. Fixes:
	N#22570.
	* src/hildon-im-western-hwr.c: Set size request to candidate box
	instead of to the wp widget. Fixes N#25370.
	* src/hildon-im-western-hwr.c: Added repetition function to the space
	button. Fixes N#25371
	* src/hildon-im-western-hwr.c: Added saving mode to gconf for hwr
	punctualisation mode. Fixes N#25573.
	* src/hildon-im-western-fkb.c: Don't relay the cursor movement
	when completing a word with right hardkey, fixes N#25948
	* src/hildon-im-western-fkb.c: Add a horizontal scrollbar, fixes N#25949
	* src/hildon-im-western-fkb.c: Delete selection on paste, fixes
	N#25804
	* keyboards/it_IT.xml: Updated it_IT layout. Fixes N#21099.

2006-04-28  Richard Sun  <Richard.Sun@nokia.com>

	*  hildon-im-western-fkb.c: enable dual dixtionary widget call for FKB

2006-04-28  Richard Sun  <Richard.Sun@nokia.com>

	* src/hildon-im-western-vkb.c: enable dual dixtionary widget call for VKB
	* src/hildon-im-western-hwr.c: enable dual dixtionary widget call for HWR

2006-04-03  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.1
	* keyboards/it_IT.xml: Updated it_IT layout. Fixes N#21099.

2006-03-30  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 2.0.0

2006-03-30  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Reference a fixed size pango layout whether the content will fit using a large font, fixes N#25223

2006-03-29  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.18-1
	* src/hildon-im-western-vkb.c: Saves gconf call by using cached call for autocase setting.

2006-03-28  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Set a larger than default gesture recognition range, fixes N#25060

2006-03-27  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Updated icon names for delta theme

2006-03-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.17-1
	* src/hildon-im-western-hwr.c: Clear next word prediction candidates when enter/space gesture is drawn. Fixes N#24197.

2006-03-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.16-1
	* src/hildon-im-western-hwr.c: Space bar for HWR (Fixes N#24760)

2006-03-23  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.15-1

2006-03-22  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Show copied infobanner, fixes N#24604

2006-03-18  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.14-1

2006-03-17  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Minor layout spec changes
	- Play sound using the new sound API of HildonIMKeyboard. Fixes N#24332

2006-03-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.13-1.
	* src/hildon-im-western-hwr.c:
	- hildon_im_western_hwr_input_mode_changed: add word completion sensitivity changes according to mode
	- Fixes N#23777

2006-03-14  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/*xml: Updated FKB layouts

2006-03-13  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c, src/hildon-im-western-scv.c,
src/hildon-im-western-vkb.c: Play sound using the new sound API of HildonIMKeyboard.

2006-03-10  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.12-1

2006-03-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c, src/hildon-im-western-fkb.c: Allocate
	space for a NULL pointer at the end of the language lists, fixes N#23995

2006-03-07  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.11-1

2006-03-07  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Fixed backspace not working when launched
	with rocker key, fixed cut not deleting text in Notes

2006-03-06  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.10-1

2006-03-03  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- New input mode that directly submits changes to the client widget, fixes
	  issues editing texts with formatting, fixes N#22945

2006-03-01  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Check cursor position, fixes N#23401

2006-03-01  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c:
	 hildon_im_western_hwr_update_completion: remove trying to get property "mode", this property no longer exists, it is called "hildon-input-mode". But here we remove it completely, because after getting mode property, it is used nowhere in the function. Fixes N#23042
	* src/hildon-im-western-vkb.c:
	- renderer_illegal_input: handle "illegal_input" signal from vkbrenderer.
	- space_button_illegal: sends illegal character sound when space is pressed under dimmed
	* src/hildon-im-western-scv.c:
	- renderer_illegal_input: also handles "illegal_input" signal from vkbrenderer.
	* Both fixes N#23009

2006-02-24  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildo-im-western-fkb.c:
	- Clear the selection after copy operation, fixes N#23220

2006-02-23  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Close and commit text on select hardkey, fixes N#23183
	- Don't close FKB on esc hardkey if menu is open, fixes N#23184
	- Validate pasted text, fixes N#23212

2006-02-22  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c: Use a custom finger pressure detection value internally

2006-02-22  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Version 1.2.8-1
	* src/hildon-im-western-scv.c:
	- hildon_im_western_scv_enable: if tab is already active, set it to active will not cause "toggled" signal, so when it is active, we just update shift state.
	- update_shift_state: added function for update shift state according tosublayout index.
	- activate_tab: called update_shift_state to update the shift state now.
	- Fixes N#22873

2006-02-21  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c:
	- language_type: remove this type, and corresponding variable, useless, and break things.
	- hildon_im_western_hwr_update_language: directly set the language code  to the widget property, remove bad conversion, the correct conversion is done at libimengines.
	- hildon_im_western_hwr_gesture: changed the language group name checking (not to rely on language_type variable).
	- Fixes N#22778

2006-02-15  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* version 1.2.7-1
	* keyboards/*.xml: Added variance_index to upper/lowercase sublayouts.
	* src/hildon-im-hwr-teach.c: Changed to work with the new HildonHWRArea API. Save words to word completion only in "commit" signal. Fixes N#21775 and N#21845
	* src/hildon-im-western-vkb.c:
	- #define INPUT_MODES_WITH_SPACES : remove special from space character list, space should only exist in alpha and tele
	- hildon_im_western_vkb_input_mode_changed: undim shift and capslock in non-numeric-only mode, remove one extra space gesture disabling, always untoggle shift key when entering numeric-only mode
	- hildon_im_western_vkb_language: will call hildon_im_western_vkb_input_mode_changed to load the correct layout according to mode
	- Fixes N#22574, N#22874

2006-02-15  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.c:
	- Fixed bug 22942, Help application launched behind FKB.
	- Reset wc position after drag and drop action, fixes N#22944
	- Uppercase set by autocap stays across layout changes, fixes N#22948

2006-02-14  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-fkb.[c,h], src/Makefile.am: Merged the FKB

2006-02-13  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* keyboards/*xml: Added preliminary finger keyboard layouts

2006-02-13  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-scv.c: Added theme for SCV.

2006-02-10  Tomas Junnonen  <tomas.junnonen@nokia.com>

	* src/hildon-im-western-vkb.c: Fixed N#22777

2006-02-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c: Remove osso cb function at finalize (Fixes N#22538)

2006-02-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Fixes to N#22529
	* hildon-im-western-scv.h: redefine parent class to be GtkHBox
	* hildon-im-western-scv.c:
	- hildon_im_western_scv_init: rearrange the packing to get paddings on scv's two sides.  enable only variance gesture.
	- hildon_im_western_scv_mode_b: change to call renderer variance layout
	- hildon_im_western_scv_mode_a: removed
	- hildon_im_western_scv_input_mode_changed: removed all space gesture enabling/disabling, since it is disable all time.  introduced SCVUnit
	datatype, following functions are modified to fit the need
	- scv_unit_free: free a single unit, before the widget is packed.
	- scv_unit_find: find unit that contains require tab.
	- activate_tab: find unit and read sublayout index from there, instead of purely relying on the position in the slist.
	- hildon_im_western_scv_enable: create SCVUnit instead of just creating the toggle button
	- hildon_im_western_scv_finalize: free allocated SCVUnits.
	
2006-02-07  Mohammad Anwari  <Mohammad.Anwari@nokia.com>
	* src/hildon-im-western-hwr.c, src/hildon-im-western-scv.c,
	src/hildon-im-western-vkb.c: Added more information in
	hildon_im_plugin_info.

2006-02-02  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c,
	src/hildon-im-western-scv.c,
	src/hildon-im-western-vkb.c: Provide the available
	languages.

2006-02-01  Richard Sun  <Richard.Sun@nokia.com>

	* keyboards/Makefile.am: add zh_CN.vkb and zh_TW.vkb
	* debian/hildon-input-method-plugins-chinese.install: install zh_CN
	and zh_TW to /usr/share/keyboards/*

2006-02-01  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c, src/hildon-im-western-scv.c, src/hildon-im-western-vkb.c: Uses the new GtkIMContext interface.

2006-01-31  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-scv.[ch]: Implemented Western SCV (with limitations)
	* src/Makefile.am: Compile Western SCV
	* keyboards/latin.special.xml: Removed margins and added variance index.
	* keyboards/fr_FR.xml,fi_FI.xml: Adjusted margins.

2006-01-25  Mohammad Anwari  <Mohammad.Anwari@nokia.com> 

	* src/hildon-im-western-vkb.c: allow user to disable/enable nwp
	* src/hildon-im-western-hwr.c: allow user to disable/enable nwp

2006-01-23  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-vkb.c: Adjust space widths
	* keyboards/*.xml: Fixed the margins.

2006-01-20  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-vkb.c: Added margins and redefined correct size and location for space and wp-box.

2006-01-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* Package reorganization. Received some packages from hildon-input-method package.

2006-01-09  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* keyboards/*.xml: Added xml sources
	* src/hildon-im-western-vkb.c: new implementation of vkb using the renderer.
	* src/hildon-im-keyboard.c: move allocation size call after informing plugins
	about size change request
	* src/hildon-im-widget-loader.*: The new widget loader.
	* src/hildon-im-western-hwr.c: Fix a memory leak

2005-12-19 Jakub Pavelek <jakub.pavelek@nokia.com>

	* doc/im_high_level_SDK.dia: added 
	* doc/IM_Design_document.sxw: added the SDK component image, customizability and IM module configuration sections

2005-12-06 Jakub Pavelek <jakub.pavelek@nokia.com>

	* Version 1.1.1
	* configure.ac: fixing license

2005-11-30 Jakub Pavelek <jakub.pavelek@nokia.com>

	* src/hildon-im-western-vkb.c: no word prediction after paint to primary selection
	* src/hildon-im-western-hwr.c: fixed NWP for written words
	* src/hildon-im-western-vkb.c: next word prediction
	* src/hildon-im-western-hwr.c: next word prediction

2005-11-29 Jakub Pavelek <jakub.pavelek@nokia.com>

	* changed dynamic VKB/SCV (from IT-2005/chinese) to work with old libimlayouts

2005-11-28 Jakub Pavelek <jakub.pavelek@nokia.com>

	* src/*.{c,h}: New license (Nokia EUSA)
	* debian/*, src/*.{c,h}: removing forbidden words

2005-11-28 Jakub Pavelek <jakub.pavelek@nokia.com>

	* debian/*.install: relocating shared object code

2005-11-24 Jakub Pavelek <jakub.pavelek@nokia.com>

	* debian/control: depends on widgets >= 1.1.0

2005-11-24 Jakub Pavelek <jakub.pavelek@nokia.com>

	* Merged the Chinese changes.

2005-11-22 Jakub Pavelek <jakub.pavelek@nokia.com>

	* Added the doc folder with documentation sources
	* debian/control: added hildon-input-method-doc package

2005-10-28 Jakub Pavelek <jakub.pavelek@nokia.com>

	* hildon_vkb.{c,h}: moved to hildon-im-western-vkb.{c.h}
	* hildon_scv.{c,h}: moved to hildon-im-western-scv.{c.h}
	* configure.in: New verrison 1.1.0 and dependencies on widgets 1.1.0 and IT-2006 libimengines and libimlayouts

2005-10-18 Jakub Pavelek <jakub.pavelek@nokia.com>

	* *.{c,h}: Fixing the license

2005-10-18 Tapani Palli <tapani.palli@nokia.com>

	* src/hildon-im-keyboard.h: added signal define
	* src/hildon-im-keyboard.c: signal handler to toggle 'tools' menu in first boot (fixing N#19881)

2005-10-17 Jakub Pavelek <jakub.pavelek@nokia.com>

	* src/hildon-im-keyboard.c (hildon_im_keyboard_hide): Reset active plugin always when hiding.
	* src/hildon-im-keyboard.c (hildon_im_keyboard_process_activate_message): When toggling IM open, set input_window using hildon_im_keyboard_set_client() so plugins get properly reset if it changes.
	Fixes N#20268

2005-10-17 Jakub Pavelek <jakub.pavelek@nokia.com>

	* src/hildon-im-keyboard.c: Fixed handling of secondary keyboard going to be set to empty.
	Fixes N#20663, N#20666

2005-10-10 Tapani Palli <tapani.palli@nokia.com>

	* src/hildon-im-keyboard.c: set default value for input_mode at init

2005-10-05 Tapani Palli <tapani.palli@nokia.com>

	* code-review fixes

2005-09-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com> 

	* released as 1.0.4-1
	* src/hildon-im-keyboard.{c,h}: disabled IM menu on first boot.
	Fixes N#19881
	* src/hildon-im-context.c (hildon_im_context_show): Use HILDON_IM_SETNSHOW instead of HILDON_IM_SHOW to open the keyboard so input_window gets always updated. (N#19808)

2005-09-23 Jakub Pavelek <jakub.pavelek@nokia.com>

	* release as 1.0.3-1
	* src/hildon-im-context.c: Moved copy&pasting code from HildonApp to here. If active widget isn't GtkEditable or GtkTextView, it fallbacks to sending the event to HildonApp (for browser)
	* src/hildon-im-keyboard.c: Send copy&paste events to IM context window, not to application's toplevel window
	* src/hildon-im-protocol.h: Added new definitions for keyboard <-> IM context clipboard communication
	Fixes N#19072

2005-09-16 Jakub Pavelek <jakub.pavelek@nokia.com>

	* Released as 1.0.2-1
	* src/hildon-im-keyboard.c (hildon_im_keyboard_hide): Reset input_window so it's not cached after IM is hidden. The X window IDs may be reused, so we can't trust its validity while IM is hidden.
	Fixes N#19306
    Fixes N#19494
	* hildon-input-method.immodule: removed this, also from MAkefile and configure. See no use for it anymore.

2005-09-15  Mohammad Anwari  <mohammad.Anwari@nokia.com>

	* released as 1.0.1-1
	* hildon-input-method.immodule.in: /lib/hildon/immodules/ -> /lib/gtk-2.0/2.4.0/immodules/
	* src/hildon-im-keyboard.c: Added caching for button pixmaps (fixes #18281)
	* src/hildon-im-context.c: activates the backspace opera hack only in VKB (fixes N#19207)

2005-09-13 Jakub Pavelek <jakub.pavelek@nokia.com>

	* released as 1.0.0-1
	* src/hildon-im-keyboard.c: added osso_hw_set_event_cb for libosso HW events. Now we at least exit on shutdown_ind. In future we should use the inactivity, low memory and save data indication too.


2005-09-07 Jakub Pavelek <jakub.pavelek@nokia.com>

	* src/hildon-im-context.c: reverting patch to N#16848. it was preventing
	  the Flash plugin from working
	  Fixes N#18777
	* src/hildon-im-keyboard.c (hildon_im_keyboard_process_activate_message): Don't update app_window if we're receiving a HIDE event. It may have app_window as NULL.
	  Fixes N#18738

2005-09-06 Jakub Pavelek <jakub.pavelek@nokia.com>

	* reseased as 0.9.36-1

2005-09-06  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-context.[ch]: Filter out reset if it called after a backspace (an opera hack to fix N#18633)

2005-09-01  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon_vkb.c: Remove unnecessary check of layout changes, fixes N#17825

2005-08-30 Jakub Pavelek <Jakub.Pavelek@nokia.com>

	* * hildon-im-keyboard.c: hildon_im_keyboard_set_button_id no longer updates the button unless button_id changes
	Fixes N#15814 (again, the patch got lost once already)


2005-08-29 Jakub Pavelek <Jakub.Pavelek@nokia.com>

	* src/hildon-im-context.c (hildon_im_context_insert_utf8): Replacing highlighted text caused an extra IM reset in GtkEntry's "changed" signal handler.
	Fixes N#17789
	* src/hildon-im-context.c (client_message_filter): Don't reset IM context when backspace is pressed
	Fixes N#17677
	* hildon_inputmethod.schemas: make case_correction FALSE by default
	Fixes N#18112
	* src/hildon_vkb.c: little optimizations for key-release code
	* src/hildon_vkb.c: Added handling for pressed/released signals on the space key to get support for key-repeat. 
	Fixes N#18119

2005-08-25 Jakub Pavelek <Jakub.Pavelek@nokia.com>

	* all sources and headers: unified code formatting and fixed some wrongly
	  placed code (bracketing problems)
	* src/hildon-im-context.c (client_message_filter): If IM is attached to
	  non-focused widget, ignore all IM events
	Fixes N#16848
	* src/hildon-im-context.c: fix the space entering in HWR

2005-08-24  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon_scv.c: set caps lock button icon to NULL when switch to SCV. 
	Fixes N#17896

2005-08-23 Jakub Pavelek <Jakub.Pavelek@nokia.com>

	* src/hildon-im-keyboard.c: primary/secondary settings from GConf
	Fixes N#17825

2005-08-23  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.34-1
	* src/hildon-im-keyboard.c: piles of formatting errors corrected
	* src/hildon_vkb.c: fixed a memory leak in layout->widths
	* these two patches below fixes N#17338
	* src/hildon-im-context.c (hildon_im_context_filter_keypress): Ignore keypresses if IM context isn't yet focused. Fixes some X errors if the IM context client's X window had changed.
	* src/hildon-im-keyboard.c (hildon_im_keyboard_hide): Delayed IM hiding should be aborted if IM is hidden before the timeout for some other reason. If we change to a dialog or another window, don't start delayed IM hiding unless IM is actually visible.

2005-08-22  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-western-hwr.c: If auto case correction setting was changed, we didn't update HWR area's state (fixes N#17272)

2005-08-16 Tapani Palli <tapani.palli@nokia.com>
	* src/hildon_vkb.c: turns on GESTURE_LOCK if keyrepeat is on

2005-08-16  Jakub Pavelek <jakub.pavelek>
	* src/hildon_vkb.c: keep the word prediction when switching screen modes
	  fixes (N#15305 )

2005-08-16  Mohammad Anwari  <Mohammad.Anwari@nokia.com>
	* src/hildon_vkb.c: Better case handling (N#17298)
	* keyboards/hildon.special.vkb: Added /().-+*#? as tele keys (N#17293)
	* src/hildon_vkb.c: Canceling keyrepeat when the pointer goes outside the repeating button's boundary

2005-08-16 Tapani Palli <tapani.palli@nokia.com>
	* src/hildon_vkb.c: fixed 'gesture combo' bug
	* src/hildon_vkb.c: added new handler function 'hildon_vkb_style_set' (#17307)

2005-08-11  Mohammad Anwari  <Mohammad.Anwari@nokia.com>
	* hildon-input-method.schema: Added case correction and completion language settings to schema (N#17045)
	* src/hildon_vkb.c: filter the keyrepeat callback to 1 instance only (N#17174)
	* src/hildon-im-context.[ch]: preedit string hack for hwr (N#16187)

2005-08-10  Jakub Pavelek <Jakub.Pavelek@nokia.com>
	* released as 0.9.33-1
	* src/hildon-im-keyboard.c: prevent icon re-reading (N#15814)

2005-08-10  Jakub Pavelek <Jakub.Pavelek@nokia.com>

	* released as 0.9.32-2
	* src/hildon_vkb.c: uncomment the fullscreen resizing (N#13780)

2005-08-09  Jakub Pavelek <Jakub.Pavelek@nokia.com>
	* released as 0.9.32-1
	* configure.ac: remove hardcoded Xtst and use pkgconfig (N#17044)
	  involves changes to Makefiles too.

2005-08-04  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.31-3
	* hildon-im-main.c: main added signal handler for SIGTERM to call gtk_main_quit (fixed N#16320)
	* debian/hildon-input-method-ui.install, debian/rules, keyboard.sh,
src/Makefile.am: detaching from maemo-launcher and uses dsme-tools (fixed N#16774)

2005-08-02  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.31-1

2005-08-02 Tapani Palli <Tapani.Palli@nokia.com>

	* src/hildon_vkb.c, src/hildon_vkb.h : fixed bug N#16409 (vkb producing multiple clicks with one xresponse click)


2005-08-02 Tapani Palli <Tapani.Palli@nokia.com>

	* src/hildon_vkb.c: fixed bug N#16501 (multibackspace-gesture)


2005-08-01 Tapani Palli <Tapani.Palli@nokia.com>

	* src/hildon_vkb.c: fixed space+backspace gesture combination, bug N#16492

2005-07-28  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.30-2
	* src/hildon_vkb.c: stop keyrepeat if the keyboard is hidden. Fixed N#16384
	* src/hildon_vkb.[ch]: redrawing text should be done if the exposed area within the keyboard area

2005-07-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.30-1

2005-07-27  Tapani Palli <Tapani.Palli@nokia.com>

	* src/hildon-im-keyboard.c : hide SWITCH_MODE_ALT pixmap from button when in HWR->SCV

2005-07-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon_vkb.c: Skip layout allocation initialization when secondary layout is empty in normal and rotated mode

2005-07-27  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* API changes: Added one gboolean to hildon_im_keyboard_activate_mode and hildon_im_plugin_enable (Fixed N#15991)
	* src/hildon-im-plugin.[ch]: add gboolean to function hildon_im_plugin_enable
	* src/hildon-im-keyboard.[ch]: add gboolean to function hildon_im_keyboard_activate_mode
	* src/hildon-im-western-hwr.c, src/hildon_vkb.c, hildon_scv.c: use newly added gboolean in the plugin interface function

2005-07-26  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* These two changes fixed #7582 (patched supplied in the Bugzilla)
	* src/hildon-im-keyboard.c (hildon_im_keyboard_activate_mode): reset capslock when switching between IMs if neither is SCV
	* src/hildon_vkb.c (hildon_vkb_enable): update internal copy if capslock state when IM is enabled

2005-07-25  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon-im-keyboard.c, src/hildon_vkb.c: Fixed multiple calls when changing language layout using gconf, apparently fixes the N#15270

2005-07-22  Tapani Pälli  <Tapani.Palli@nokia.com>

	* src/hildon-im-keyboard.c, src/hildon_scv.c: shift works in HWR -> SCV, fixed N#15107

2005-07-22  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* released as 0.9.29-3

2005-07-22  Mohammad Anwari  <Mohammad.Anwari@nokia.com>

	* src/hildon_vkb.c: Skip layout allocation initialization when secondary layout is empty

